Network Provider
Network Provider create
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9_-]+$1 <= length <= 64[]Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/networkProvider.create" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "config": { "providerType": "docker" } }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider update
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= length^[a-zA-Z0-9_-]+$1 <= length <= 64[]Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/networkProvider.update" \ -H "Content-Type: application/json" \ -d '{ "networkProviderId": "string", "name": "string", "config": { "providerType": "docker" } }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider remove
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/networkProvider.remove" \ -H "Content-Type: application/json" \ -d '{ "networkProviderId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider all
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/networkProvider.all"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider one
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/networkProvider.one?networkProviderId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider peers
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/networkProvider.peers?networkProviderId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider test Connection
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/networkProvider.testConnection" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider descriptors
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/networkProvider.descriptors"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Network Provider health
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/networkProvider.health?networkProviderId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}